import type { Node } from "../../../../pm/model.js";
import type { NodeView } from "../../../../pm/view.js";
import "./yfm-cut-title.css";
export declare class YfmCutTitleNodeView implements NodeView {
    readonly dom: HTMLElement;
    readonly contentDOM: HTMLElement;
    private node;
    constructor(node: Node);
    update(node: Node): boolean;
    destroy(): void;
    private _onTitleClick;
    private _onTitleInnerClick;
}
